%-----------------------------------------------------------------------
% This is a subprocedure adopted from Chuchu Fan et al's prototype.
%-----------------------------------------------------------------------

function [A,B] = cutset(center,delta,partition,dim)

if partition == 1
    A = center;
    B = delta;
else
    A = zeros(partition^dim,dim);
    B = delta/partition*ones(partition^dim,1);
    for i = 1:dim
        x(i,:) = linspace(center(i)+delta,center(i)-delta,partition+1);
    end
    for i = 1:partition
        y(:,i) = (x(:,i)+x(:,i+1))/2;
    end

    if dim == 1
        [X1] = ndgrid(y(1,:));
        A = [X1(:)];
    elseif dim == 2
        [X1,X2] = ndgrid(y(1,:),y(2,:));
        A = [X1(:),X2(:)];
    elseif dim == 3
            [X1,X2,X3] = ndgrid(y(1,:),y(2,:),y(3,:));
            A = [X1(:),X2(:),X3(:)];
    elseif dim == 4
        [X1,X2,X3,X4] = ndgrid(y(1,:),y(2,:),y(3,:),y(4,:));
        A = [X1(:),X2(:),X3(:),X4(:)];
    elseif dim == 5
        [X1,X2,X3,X4,X5] = ndgrid(y(1,:),y(2,:),y(3,:),y(4,:),y(5,:));
        A = [X1(:),X2(:),X3(:),X4(:),X5(:)];
    end
end


