%-----------------------------------------------------------------------
% Code the DDEs, the associated delays, integration interval, initial
% set of constant functions, and a unsafe set in the following segment.
%-----------------------------------------------------------------------

function sol = exp1_logistic

clear all;clc;

%% initialization
dim = 1;   %dimension of the system
lags = 1.3;   %delays
tspan = [0,5];   %time bounds
center = [1];   %approx. center point of the initial set
delta = 0.5;   %initial diameter

h0 = 0.1;   %stepsize of the simulation
partition = 2;   %initial partition
bound = 'upper';   %verify upper or lower bound

%% safety verification
DDEChecker(@dyn,dim,lags,tspan,@unsafe,center,delta,h0,partition,bound);

function yp = dyn(y,u)
yp = [y(1)*(1-u(1))];

function uns = unsafe(y)
uns = 1.6-max(y);

%-----------------------------------------------------------------------
