%-----------------------------------------------------------------------
% Code the DDEs, the associated delays, integration interval, initial
% set of constant functions, and a unsafe set in the following segment.
%-----------------------------------------------------------------------

function sol = exp2_microbial

clear all;clc;

%% initialization
dim = 2;   %dimension of the system
lags = 0.9;   %delays
tspan = [0,8];   %time bounds
center = [1,0.5];   %approx. center point of the initial set
delta = 0.3;   %initial diameter

h0 = 0.45;   %stepsize of the simulation
partition = 1;   %initial partition
bound = 'lower';   %verify upper or lower bound

%% safety verification
DDEChecker(@dyn,dim,lags,tspan,@unsafe,center,delta,h0,partition,bound);

function yp = dyn(y,u)
yp = zeros(1,2);
yp(1) = 1-y(1)-2*exp(1)*y(1)/(1+y(1))*y(2);
yp(2) = exp(-0.9)*2*exp(1)*u(1)/(1+u(1))*u(2)-y(2);

function uns = unsafe(y)
uns = min(y(:,1)+y(:,2));

%-----------------------------------------------------------------------
