%-----------------------------------------------------------------------
% Code the DDEs, the associated delays, integration interval, initial
% set of constant functions, and a unsafe set in the following segment.
%-----------------------------------------------------------------------

function sol = exp6_gene_dim5_lag5

clear all;clc;

%% initialization
dim = 5;   %dimension of the system
lags = [0.1,0.2,0.4,0.8,1.6];   %delays
tspan = [0,2];   %time bounds
center = [1,1,1,1,1];   %approx. center point of the initial set
delta = 0.2;   %initial diameter

h0 = 0.1;   %stepsize of the simulation
partition = 2;   %initial partition
bound = 'lower';   %verify upper or lower bound

%% safety verification
DDECheckerVM_dim5(@dyn,dim,lags,tspan,@unsafe,center,delta,h0,partition,bound);

function yp = dyn(y,u)
yp = zeros(1,5);
yp(1) = -u(5)-y(1);
yp(2) = -u(1)-y(2);
yp(3) = -u(2)-y(3);
yp(4) = -u(3)-y(4);
yp(5) = -u(4)-y(5);

function uns = unsafe(y)
uns = y(:,1);


%-----------------------------------------------------------------------